﻿.flex-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    padding: 0;
    margin: 0;
    list-style: none;
}


.flex-wraper {
    padding: 10px;
    width: 170px;
    height: 150px;
    margin-top: 10px;
    color: white;
    font-weight: bold;
    font-size: 14pt;
    text-align: center;
}

.flex-item {
    margin: 0 auto;
    background: #607D8B;
    width: 150px;
    height: 100%;
    padding: 20px 10px;
}

    .flex-item > a {
        color: #ffffff;
        text-decoration: none;
    }

.flex-item-icon {
    font-size: 35pt;
    height: 65px;
}

.text-middle {
    vertical-align: middle;
}

.fileupload-dropzone {
    width: 100%;
    height: 50px;
    border: 2px solid #00897b;
    text-align: center;
    line-height: 50px;
    margin: 10px 0;
    background: #f5f5f5;
}

.table > thead > tr > th {
    background: #00838f;
    color: #ffffff;
}

.th-center {
    text-align: center;
}

table a {
    text-decoration: none!important;
}

.modal {
    text-align: center;
}

.modal:before {
    display: inline-block;
    vertical-align: middle;
    content: " ";
    height: 100%;
}


.modal-dialog-center {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.modal.fade .modal-dialog {
    -webkit-transform: scale(0.1);
    -moz-transform: scale(0.1);
    -ms-transform: scale(0.1);
    transform: scale(0.1);
    opacity: 0;
    -webkit-transition: all 0.1s;
    -moz-transition: all 0.1s;
    transition: all 0.1s;
}

.modal.fade.in .modal-dialog {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
    opacity: 1;
}

.title-header {
    border-bottom: 3px solid #ef5350;
    display: block;
    font-weight: bold;
    font-size: 14pt;
}

.title-dialog {
    font-weight: bold;
    font-size: 14pt;
}

.channel-title {
    color: #00838f;
    font-size: 14pt;
}
.channel-command {
    font-size: 14pt;
    visibility: hidden;
}
.channel-des {
    font-style:italic;
    padding-left: 12px;
}
.channel-detail {
    font-size: 14pt;
}
.channel-detail-title {
    color: #2196f3;
    font-weight: bold;
}
.channel-container:hover > .channel-command {
    visibility: visible;
}

.grid-scroll {
    overflow-x: scroll;
}

.empty-grid-text {
    text-align: center;
    font-size: 16pt;
    color: #757575;
    font-style: italic;
}

.lch1 {
    padding-left: 2em;
}

.lch2 {
    padding-left: 4em;
}

.lch3 {
    padding-left: 6em;
}

.lch4 {
    padding-left: 8em;
}

.lch5 {
    padding-left: 10em;
}

.lch6 {
    padding-left: 12em;
}

.lch7 {
    padding-left: 14em;
}

.lch8 {
    padding-left: 16em;
}

.lch9 {
    padding-left: 18em;
}

.ech {
    padding: 5px;
    border: 2px solid red;
}

.nav-no-margin {
    margin-bottom: 0!important;
}